### Hierarchy

- AuthOptions

## Index

### Properties

- bearer
- pass
- password
- sendImmediately
- user
- username

## Properties

### Optional bearer

bearer: string | function

- Defined in node_modules/@types/request/index.d.ts:352

### Optional pass

pass: undefined | string

- Defined in node_modules/@types/request/index.d.ts:349

### Optional password

password: undefined | string

- Defined in node_modules/@types/request/index.d.ts:350

### Optional sendImmediately

sendImmediately: undefined | false | true

- Defined in node_modules/@types/request/index.d.ts:351

### Optional user

user: undefined | string

- Defined in node_modules/@types/request/index.d.ts:347

### Optional username

username: undefined | string

- Defined in node_modules/@types/request/index.d.ts:348

Generated using TypeDoc